package com.zksy.property.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.property.domain.AHouseType;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author Administrator
 * @description 针对表【a_house_type(户型表)】的数据库操作Service
 * @createDate 2025-06-24 16:24:28
 */
public interface AHouseTypeService extends IService<AHouseType> {
    List<AHouseType> getHouseTypeList(String accountNumber);

    Page<AHouseType> findByPage(long pageNum, long pageSize, String accountNumber);

    boolean saveHouseType(AHouseType houseType, MultipartFile multipartFile);

    boolean updateHouseType(AHouseType houseType, MultipartFile multipartFile);

    boolean removeBatchHouseType(String[] ids);

    List<AHouseType> getByRoomType(Integer roomType);
}
